.sidebar-menu-wrapper{
    flex-basis: calc(338px);
}
.content__right {
    flex-basis: calc(338px);

    .menu__blue {
        box-shadow: 0 20px 114px rgba(123, 123, 123, 0.2);
        border-radius: 10px;
        width: calc(100% - (39px + 39px));
        margin-left: 0;
        background-image: linear-gradient(to top, #2450d0 0%, #3069e9 100%);
        padding: 39px;

        .textMenu {
            display: flex;
            justify-content: center;
            align-items: center;
            flex-wrap: wrap;

            svg {
                width: 22px;
                height: 22px;
                fill: #abbbff;
                margin-bottom: 2px;
                margin-right: 25px;
            }

            color: #ffffff;
            font-family: 'Geometria Bold';
            font-size: 20px;
            font-weight: 700;
            line-height: 26px;
        }

        .right__head {
            display: flex;
            justify-content: space-between;
            align-items: center;
            flex-wrap: wrap;
            margin-top: 51px;
            transition-duration: 500ms;
            transition-property: color;

            &:hover {
                cursor: pointer;
                color: #fff;

                svg {
                    fill: #fff;

                }
            }

            svg {
                width: 16px;
                height: 16px;
                fill: #abbbff;
                transform: rotate(90deg);
                transition-duration: 500ms;
                transition-property: fill;
            }

            color: #8dadff;
            font-family: 'Geometria';
            font-size: 14px;
            font-weight: 400;
            line-height: 26px;
        }

        .OpenMenu {
            svg {
                transform: rotate(270deg);
            }
        }

        .right__body--menu {
            ul {
                padding-left: 0;
                margin-left: 0;

                li {
                    margin-top: 38px;
                    list-style: none;
                    padding-left: 0;
                    margin-left: 0;

                    a {
                        display: flex;
                        justify-content: flex-start;
                        align-items: center;
                        flex-wrap: wrap;

                        transition-duration: 500ms;
                        transition-property: color;

                        &:hover {
                            color: darken(#fff, 25%);

                            svg {
                                fill: darken(#fff, 25%);
                            }
                        }

                        svg {
                            width: 19px;
                            height: 19px;
                            fill: #ffffff;
                            margin-right: 35px;
                            transition-duration: 500ms;
                            transition-property: fill;
                        }

                        text-decoration: none;
                        color: #ffffff;
                        font-family: 'Geometria';
                        font-size: 14px;
                        font-weight: 400;
                    }
                }
            }
        }
    }

    .right__valuta {
        margin-top: 57px;

        .valuta__top {
            display: flex;
            justify-content: flex-start;
            align-items: center;
            flex-wrap: wrap;
            margin-bottom: 23px;

            .text-v {
                color: #2554d3;
                font-family: 'Geometria Bold';
                font-size: 14px;
                font-weight: 700;
                line-height: 15px;
                margin-right: 25px;
            }

            .active-off {
                color: #b9b9b9;
                font-family: 'Geometria ExtraBold';
                font-size: 13px;
                font-weight: 700;
                margin-right: 16px;
                width: 30px;
                height: 30px;
                border: 2px solid rgba(0, 0, 0, 0);
                border-radius: 50%;
                display: flex;
                justify-content: center;
                align-items: center;
                text-decoration: none;
                transition-duration: 500ms;
                transition-property: color, border-color;

                &:hover {
                    border-color: #2b5ede;
                    color: #2b5ede;

                    svg {
                        fill: #2b5ede;
                    }
                }

                svg {
                    width: 13px;
                    height: 12px;
                    fill: #b9b9b9;
                    font-weight: 700;
                    transition-duration: 500ms;
                    transition-property: fill;
                }
            }

            .active-on {
                width: 30px;
                height: 30px;
                border: 2px solid #2b5ede;
                border-radius: 50%;
                display: flex;
                justify-content: center;
                align-items: center;
                color: #2b5ede;
            }
        }

        .valuta__head {
            display: flex;
            justify-content: flex-start;
            align-items: center;
            flex-wrap: wrap;

            &:hover {
                cursor: pointer;

                .text-head {
                    color: #2b5ede;
                }

                svg {
                    fill: #2b5ede;
                }
            }

            .text-head {
                color: #a5a5a5;
                font-family: 'Geometria';
                font-size: 14px;
                font-weight: 400;
                line-height: 15px;
                margin-right: 16px;
                transition-duration: 500ms;
                transition-property: color;
            }

            svg {
                width: 13px;
                height: 13px;
                fill: #b9b9b9;
                transition-duration: 500ms;
                transition-property: fill;
                transform: rotate(90deg);

            }
        }

        .OpenMenu {
            svg {
                transform: rotate(270deg);
            }
        }

        .text-desk {
            color: #a5a5a5;
            font-family: 'Geometria';
            font-size: 14px;
            font-weight: 400;
            line-height: 15px;
            margin-bottom: 41px;
        }

        .text-copy {
            color: #515151;
            font-family: 'Geometria';
            font-size: 14px;
            font-weight: 400;
            line-height: 15px;
        }
    }
}

.OpenMenuMobile {
    z-index: 999999999 !important;
    color: #fff !important;

    svg {
        fill: #fff !important;
    }
}

@media(max-width: 1784px) {
    .sidebar-menu-wrapper{
        flex-basis: 300px;
    }
    .content__right {
        flex-basis: 300px;
    }
}

@media(max-width: 1375px) {
    .sidebar-menu-wrapper{
        flex-basis: calc(300px);
    }
    .content__right {
        position: absolute;
        top: 0;
        left: 0;
        z-index: 9999;
        box-shadow: 0 20px 114px rgba(123, 123, 123, 0.2);
        border-radius: 10px;
        background-image: linear-gradient(to top, #2450d0 0%, #3069e9 100%);
        min-height: 100vh;
        width: calc(320px - 20px);
        padding-left: 10px;
        padding-right: 10px;
    }
    .content__right .menu__blue {
        background: none;
        box-shadow: none;
    }
    .content__right .right__valuta .valuta__top .text-v {
        color: #fff;
    }
    .content__right .right__valuta .valuta__top svg {
        fill: #fff;
    }
    .content__right .right__valuta .valuta__top .active-on {
        color: #fff;
        border-color: #fff;
    }
    .content__right .right__valuta .text-desk {
        color: #fff;
    }
    .content__right .menu__blue .right__body--menu ul li a, .content__right .right__valuta .valuta__head, .content__right .right__valuta .valuta__top {
        color: #fff;
        font-size: 13px;
        svg {
            margin-right: 5px;
            fill: #fff;
        }
    }
    .content__right .right__valuta .valuta__head .text-head {
        color: #fff;
    }
    .content__right .right__valuta .text-copy {
        color: #fff;
    }
    .content__right .menu__blue .textMenu {
        display: none;
    }
}
